## ocaml-vchan 1.0.0

=== Makefile ===
.PHONY: all clean install build
all: build doc

NAME=vchan
J=4

export OCAMLRUNPARAM=b


setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

uninstall:
	@ocamlfind remove $(NAME) || true

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
ocaml-vchan (1.0.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-vchan
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 ocaml-evtchn-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 libgnt-ocaml-dev,
 libxenstore-ocaml-dev,
 camlp4-extra,
 libxenstore-clients-ocaml-dev,
 ocaml-native-compilers,
 libmirage-types-ocaml-dev,
 libipaddr-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libcmdliner-ocaml-dev

Package: ocaml-vchan
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml implementation of the Xen Vchan protocol
 The Xen Vchan protocol allows high-bandwidth private communication
 channels between VMs over shared memory.

Package: ocaml-vchan-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-vchan (>= 1.0.0-1),
 libio-page-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-vchan
 The ocaml-vchan-devel package contains libraries and signature files
 for developing applications that use ocaml-vchan.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-vchan/usr/lib/ocaml/vchan/*.a
	rm -f debian/ocaml-vchan/usr/lib/ocaml/vchan/*.cmxa
	rm -f debian/ocaml-vchan/usr/lib/ocaml/vchan/*.cmx
	rm -f debian/ocaml-vchan/usr/lib/ocaml/vchan/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
